Contenu | Rechercher | Menus

Annonce

Ubuntu-fr.org recrute toujours de nouveaux modérateurs, avec de l'expérience.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 29/09/2005, à 11:44

mysthair

Unable to find the GTK+ installation

bonjour,

j'essai de compiler le noyau sur une ubuntu 2.6.12-9-amd64-k8 sad

impossible de lancer make gconfig

j'arrete pas d'install des paquets à l'aide de synaptic mais ça marcha pas et je vois pas quel package je dois instaler....

qu'elqu'un pourrait me dire leur noms exact?

jim@darius:/usr/src/linux-2.6.13.2$ sudo make gconfig
*
* Unable to find the GTK+ installation. Please make sure that
* the GTK+ 2.0 development package is correctly installed...
* You need gtk+-2.0, glib-2.0 and libglade-2.0.
*
make[1]: *** [scripts/kconfig/.tmp_gtkcheck] Erreur 1
make: *** [gconfig] Erreur 2

ps:  Est-ce normal qu je ne trouve pas de paquet gtk+ ? (glib-2.0 and libglade-2.0. ils sontprésent j'en suis sûr)
*

#2 Le 29/09/2005, à 12:07

mysthair

Re : Unable to find the GTK+ installation

en fait 'make menuconfig' fonctionne...


mais je ne vois toujours pas ce qui ne va pas sad



merci quand même smile

#3 Le 29/09/2005, à 12:22

mysthair

Re : Unable to find the GTK+ installation

décidément... je me répond tout seul....


j'ai fouillé dans le scripts/Makefile

et voila ce que j'ai fini par tester ça:



jim@darius:/usr/src/linux-2.6.13.2$ if `pkg-config gtk+-2.0 --exists`; then echo "ok"; else echo "no"; fi
ok
jim@darius:/usr/src/linux-2.6.13.2$ if `pkg-config gmodules-2.0 --exists`; then echo "ok"; else echo "no"; fi
no
jim@darius:/usr/src/linux-2.6.13.2$ if `pkg-config libglade-2.0 --exists`; then echo "ok"; else echo "no"; fi
no

il ne me manque plus qu'a installer  gmodules-2.0 et libglade-2.0 ...

au boulôt!

#4 Le 29/09/2005, à 12:27

mysthair

Re : Unable to find the GTK+ installation

jim@darius:/usr/src/linux-2.6.13.2$ sudo apt-get install --simulate gmodule
Reading package lists... Done
Building dependency tree... Done
E: Impossible de trouver le paquet gmodule

jim@darius:/usr/src/linux-2.6.13.2$ sudo apt-get install --simulate libglade
Reading package lists... Done
Building dependency tree... Done
E: Impossible de trouver le paquet libglade

j'ai besoin d'aide !

#5 Le 29/09/2005, à 12:40

mysthair

Re : Unable to find the GTK+ installation

j'ai fini par trouvé...  (c'est au petit bonheur la chance!)

une fois install libglade2-dev
if `pkg-config libglade-2.0 --exists`; then echo "ok"; else echo "no"; fi
ok


par contre je ne trouve pas gmodule mad

#6 Le 16/10/2005, à 03:16

Lame

Re : Unable to find the GTK+ installation

J'ai aussi ce probleme;
Pour compiler des appli demandant gtk+; je ne comprends pas pourquoi synaptic ne le reference pas, ni glib, ni pango, ni ATK, ni rien lol faut tt installer en compilant quoi, la derniere fois j'ai tout plante (un probleme de fonts je crois)


Ubuntu 8.10 Hardy
jdk 1.6.0_01
mysql Ver 14.12 // mysql-connector-java-5.0.6

Hors ligne